Package dev.plex.config

# Class Config

java.lang.Object
org.bukkit.configuration.MemorySection
org.bukkit.configuration.MemoryConfiguration
org.bukkit.configuration.file.FileConfiguration
org.bukkit.configuration.file.YamlConfiguration
dev.plex.config.Config

All Implemented Interfaces:
  `org.bukkit.configuration.Configuration`, `org.bukkit.configuration.ConfigurationSection`

public class Config extends org.bukkit.configuration.file.YamlConfiguration
Creates a custom Config object

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`added`
Whether new entries were added to the file automatically
`private File`
`file`
The File instance
`private String`
`name`
The file name
`private Plex`
`plugin`
The plugin instance

### Fields inherited from class org.bukkit.configuration.file.YamlConfiguration

`BLANK_CONFIG, COMMENT_PREFIX`

### Fields inherited from class org.bukkit.configuration.MemoryConfiguration

`defaults, options`

### Fields inherited from class org.bukkit.configuration.MemorySection

`map`

## Constructor Summary

Constructors
Constructor
Description
`Config(Plex plugin, String name)`
Creates a config object

## Method Summary

Modifier and Type
Method
Description
`void`
`load()`
`void`
`load(boolean loadFromFile)`
Loads the configuration file
`void`
`save()`
Saves the configuration file
`private void`
`saveDefault()`
Moves the configuration file from the plugin's resources folder to the data folder (plugins/Plex/)

### Methods inherited from class org.bukkit.configuration.file.YamlConfiguration

`loadConfiguration, loadConfiguration, loadFromString, options, saveToString`

### Methods inherited from class org.bukkit.configuration.file.FileConfiguration

`buildHeader, load, load, load, save, save`

### Methods inherited from class org.bukkit.configuration.MemoryConfiguration

`addDefault, addDefaults, addDefaults, getDefaults, getParent, setDefaults`

### Methods inherited from class org.bukkit.configuration.MemorySection

`contains, contains, createPath, createPath, createSection, createSection, get, get, getBoolean, getBoolean, getBooleanList, getByteList, getCharacterList, getColor, getColor, getComments, getConfigurationSection, getCurrentPath, getDefault, getDefaultSection, getDouble, getDouble, getDoubleList, getFloatList, getInlineComments, getInt, getInt, getIntegerList, getItemStack, getItemStack, getKeys, getList, getList, getLocation, getLocation, getLong, getLong, getLongList, getMapList, getName, getObject, getObject, getOfflinePlayer, getOfflinePlayer, getRoot, getSerializable, getSerializable, getShortList, getString, getString, getStringList, getValues, getVector, getVector, isBoolean, isColor, isConfigurationSection, isDouble, isInt, isItemStack, isList, isLocation, isLong, isOfflinePlayer, isPrimitiveWrapper, isSet, isString, isVector, mapChildrenKeys, mapChildrenValues, set, setComments, setInlineComments, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.bukkit.configuration.ConfigurationSection

`contains, contains, createSection, createSection, get, get, getBoolean, getBoolean, getBooleanList, getByteList, getCharacterList, getColor, getColor, getComments, getConfigurationSection, getCurrentPath, getDefaultSection, getDouble, getDouble, getDoubleList, getFloatList, getInlineComments, getInt, getInt, getIntegerList, getItemStack, getItemStack, getKeys, getList, getList, getLocation, getLocation, getLong, getLong, getLongList, getMapList, getName, getObject, getObject, getOfflinePlayer, getOfflinePlayer, getRoot, getSerializable, getSerializable, getShortList, getString, getString, getStringList, getValues, getVector, getVector, isBoolean, isColor, isConfigurationSection, isDouble, isInt, isItemStack, isList, isLocation, isLong, isOfflinePlayer, isSet, isString, isVector, set, setComments, setInlineComments`

## Field Details

### plugin

private Plex plugin
The plugin instance

### file

private File file
The File instance

### name

private String name
The file name

### added

private boolean added
Whether new entries were added to the file automatically

## Constructor Details

### Config

public Config(Plex plugin, String name)
Creates a config object

Parameters:
  `plugin` - The plugin instance
  `name` - The file name

## Method Details

### load

public void load()

### load

public void load(boolean loadFromFile)
Loads the configuration file

### save

public void save()
Saves the configuration file

### saveDefault

private void saveDefault()
Moves the configuration file from the plugin's resources folder to the data folder (plugins/Plex/)